summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-clisp
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-clisp')
-rwxr-xr-xgettext-tools/tests/lang-clisp38
1 files changed, 19 insertions, 19 deletions
diff --git a/gettext-tools/tests/lang-clisp b/gettext-tools/tests/lang-clisp
index 631d30a..471c4f6 100755
--- a/gettext-tools/tests/lang-clisp
+++ b/gettext-tools/tests/lang-clisp
@@ -19,8 +19,8 @@ cat <<\EOF > prog.lisp
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o prog.tmp --omit-header --no-location prog.lisp || exit 1
-LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog.lisp || Exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || Exit 1
cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
@@ -38,7 +38,7 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} prog.ok prog.pot || exit 1
+${DIFF} prog.ok prog.pot || Exit 1
cat <<\EOF > fr.po
msgid ""
@@ -63,11 +63,11 @@ msgstr "~1@*~A remplace ~0@*~A."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
-LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || Exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || Exit 1
: ${DIFF=diff}
-${DIFF} fr.po fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || Exit 1
test -d fr || mkdir fr
test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
@@ -79,17 +79,17 @@ ${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Use clisp for the comparison of the version numbers; neither 'expr' nor 'bc'
# can deal with floating-point numbers.
(clisp --version) >/dev/null 2>/dev/null \
- || { echo "Skipping test: clisp not found"; exit 77; }
+ || { echo "Skipping test: clisp not found"; Exit 77; }
version=`clisp --version | sed -n -e 1p | sed -e 's/^[^0-9]*//'`
case $version in
19* | 20*) # older than 2.25
- echo "Skipping test: clisp version too old"; exit 77;;
+ echo "Skipping test: clisp version too old"; Exit 77;;
esac
version=`echo $version | sed -e 's/^\([0-9]*\.[0-9]*\).*/\1/'`
clisp -norc -x "(sys::exit #+GETTEXT (not (>= $version 2.28)) #-GETTEXT t)" \
>/dev/null \
|| { echo "Skipping test: clisp was built without gettext support"
- exit 77
+ Exit 77
}
# Test which of the fr_FR locales are installed.
@@ -100,7 +100,7 @@ if test $LOCALE_FR != none; then
case $? in
0) ;;
77) LOCALE_FR=none;;
- *) exit 1;;
+ *) Exit 1;;
esac
fi
if test $LOCALE_FR_UTF8 != none; then
@@ -108,7 +108,7 @@ if test $LOCALE_FR_UTF8 != none; then
case $? in
0) ;;
77) LOCALE_FR_UTF8=none;;
- *) exit 1;;
+ *) Exit 1;;
esac
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
@@ -117,7 +117,7 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
else
echo "Skipping test: no french locale is supported"
fi
- exit 77
+ Exit 77
fi
: ${DIFF=diff}
@@ -136,15 +136,15 @@ EOF
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
prepare_locale_ fr $LOCALE_FR
- CLISP_LANGUAGE= LANGUAGE= LC_ALL=$LOCALE_FR clisp prog.lisp 2 > prog.tmp || exit 1
- LC_ALL=C tr -d '\r' < prog.tmp > prog.out || exit 1
- ${DIFF} prog.ok prog.out || exit 1
+ CLISP_LANGUAGE= LANGUAGE= LC_ALL=$LOCALE_FR clisp prog.lisp 2 > prog.tmp || Exit 1
+ LC_ALL=C tr -d '\r' < prog.tmp > prog.out || Exit 1
+ ${DIFF} prog.ok prog.out || Exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
prepare_locale_ fr $LOCALE_FR_UTF8
- CLISP_LANGUAGE= LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 clisp prog.lisp 2 > prog.tmp || exit 1
- LC_ALL=C tr -d '\r' < prog.tmp > prog.out || exit 1
- ${DIFF} prog.oku prog.out || exit 1
+ CLISP_LANGUAGE= LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 clisp prog.lisp 2 > prog.tmp || Exit 1
+ LC_ALL=C tr -d '\r' < prog.tmp > prog.out || Exit 1
+ ${DIFF} prog.oku prog.out || Exit 1
fi
-exit 0
+Exit 0